# Class SentinelRunner

#### Hierarchy

- SentinelRunner

- Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:6

#####
Index

### Constructors

constructor

### Properties

_automations
onTriggerResult
sentinel
timeoutId?
trigger

### Accessors

automations
next

### Methods

add
find
remove
removeAll
restart
start
stop
update

## Constructors

### constructor

- new SentinelRunner(sentinel, automations?, onTriggerResult?): SentinelRunner

- #### Parameters

  - ##### sentinel: SentinelModule<SentinelParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.node.sentinel";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<{
    archivists?: string[];
    schema: string;
    }, "schema"> & {
    schema: "network.xyo.node.sentinel";
    witnesses?: string[];
    } & {
    schema: string;
    }, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, SentinelModuleEventData>

  - ##### `Optional` automations: SentinelAutomationPayload[]

  - ##### `Optional` onTriggerResult: OnSentinelRunnerTriggerResult

  #### Returns SentinelRunner

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:11

## Properties

### `Protected` _automations

_automations: Record<string, SentinelAutomationPayload>

- Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:7

### `Protected` onTriggerResult

onTriggerResult: undefined | OnSentinelRunnerTriggerResult

- Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:8

### `Protected` sentinel

sentinel: SentinelModule<SentinelParams<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: "network.xyo.node.sentinel";
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<SchemaFields & PayloadFields & {
archivist?: ArchivistModuleConfig;
name?: string;
paging?: Record<string, {
size?: number;
}>;
schema: string;
security?: {
allowAnonymous?: boolean;
allowed?: Record<string, (string | CosigningAddressSet)[]>;
disallowed?: Record<string, string[]>;
};
storeQueries?: boolean;
} & Omit<{
archivists?: string[];
schema: string;
}, "schema"> & {
schema: "network.xyo.node.sentinel";
witnesses?: string[];
} & {
schema: string;
}, "schema">, "schema"> & {
schema: string;
}, "schema">, undefined>, SentinelModuleEventData>

- Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:9

### `Protected` `Optional` timeoutId

timeoutId?: Timer

- Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:10

### `Private` trigger

trigger: any

- Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:22

## Accessors

### automations

- get automations(): Record<string, SentinelAutomationPayload>

- #### Returns Record<string, SentinelAutomationPayload>

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:12

### `Private` next

- get next(): any

- #### Returns any

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:13

## Methods

### add

- add(automation, restart?): Promise<string>

- #### Parameters

  - ##### automation: SentinelAutomationPayload

  - ##### `Optional` restart: boolean

  #### Returns Promise<string>

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:14

### find

- find(hash): void

- #### Parameters

  - ##### hash: string

  #### Returns void

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:15

### remove

- remove(hash, restart?): Promise<void>

- #### Parameters

  - ##### hash: string

  - ##### `Optional` restart: boolean

  #### Returns Promise<void>

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:16

### removeAll

- removeAll(): void

- #### Returns void

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:17

### restart

- restart(): Promise<void>

- #### Returns Promise<void>

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:18

### start

- start(): Promise<void>

- #### Returns Promise<void>

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:19

### stop

- stop(): void

- #### Returns void

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:20

### update

- update(hash, automation, restart?): Promise<void>

- #### Parameters

  - ##### hash: string

  - ##### automation: SentinelAutomationPayload

  - ##### `Optional` restart: boolean

  #### Returns Promise<void>

  - Defined in modules/packages/sentinel/dist/types/SentinelRunner.d.ts:21

Generated using TypeDoc